<?php
    
    $agent = $_SERVER['HTTP_USER_AGENT'];
    
    function is_mobile(){
      //pull $agent var into this function for use.
      global $agent;
      
      // check to see if user-agent is mobile browser
      if(stristr($agent, 'mobi') === FALSE) {
            // if not mobile, just make HTML comment  
            echo '<!-- NOT A MOBILE BROWSER -->';
        } else {
            /* 
            If mobile, then load in jquery + jquery mobile libraries.
            Then make a script to detect orientation and change css properties as necessary.
            */
            echo '<!-- MOBILE BROWSER SCRIPT -->';
            echo "\n\t".'<style>
            html {
                font-size:125%;
                background: url(images/suspension-bridge-1200.jpg) no-repeat center 0 fixed;
                background-size: cover;
                };
            </style>';
            echo "\n\t".'<script src="http://code.jquery.com/jquery-3.1.1.min.js" integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8=" crossorigin="anonymous"></script>';
            echo "\n\t".'<script src="jquery.mobile.min.js"></script>';
            echo "\n\t".'<script>
            $(window).on("orientationchange",function(){
              if(window.orientation == 0) // Portrait
              {
                $("html").css({"background-size":"auto 120vh"});
                alert("resize event detected!");
              }
              else // Landscape
              {
                $("html").css({"background-size":"100%"});
                alert("resize event detected!");
              }
            });
            </script>
            ';
            echo '<link href="styles-mobile.css" rel="stylesheet">';
        }  
    }
    
    /*
    See the following Mozilla Developer Network (MDN) article to learn about how different browsers announce mobile browsers:
    https://developer.mozilla.org/en-US/docs/Web/HTTP/Browser_detection_using_the_user_agent
    */
?>
<!doctype html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Mobile Browser Test for BG Images</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="styles.css" rel="stylesheet">
    <?php is_mobile(); ?>
</head>
<body>
<section id="page-wrapper">
    <h1><?php  
        if(stristr($agent, 'mobi') === FALSE) {
            echo 'NOT MOBILE';
        } else {
            echo 'MOBILE BROWSER';
        }?>
    </h1>
    <h2>User Agent Info:</h2>
    <p>
    <?php print_r ($_SERVER['HTTP_USER_AGENT']); ?>
    </p>
</section>
</body>
</html>